List dashboard views
curl --request GET \
--url https://api.upstackdata.com/accounts/api/dashboard/views \
--header 'x-api-key: <api-key>' \
--header 'x-pixel-id: <api-key>'import requests
url = "https://api.upstackdata.com/accounts/api/dashboard/views"
headers = {
"x-api-key": "<api-key>",
"x-pixel-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', 'x-pixel-id': '<api-key>'}};
fetch('https://api.upstackdata.com/accounts/api/dashboard/views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dashboardViews": [
{
"id": "<string>",
"name": "<string>",
"order": 123
}
]
}{
"message": "<string>",
"errors": [
{
"message": "<string>",
"key": "<string>",
"path": [
"<string>"
]
}
]
}{
"message": "<string>",
"errors": [
{
"message": "<string>",
"key": "<string>",
"path": [
"<string>"
]
}
]
}{
"message": "<string>",
"errors": [
{
"message": "<string>",
"key": "<string>",
"path": [
"<string>"
]
}
]
}DASHBOARDS
List dashboard views
Return a summary list of dashboard views for the authenticated pixel.
Required scope: dashboards:read.
GET
/
accounts
/
api
/
dashboard
/
views
List dashboard views
Authorizations
Your Upstack API key. Starts with upstack_.
The pixel id the request targets.
Query Parameters
Filter by view type. Defaults to view.
Type of dashboard view.
view— the regular KPI dashboard.attribution_view— attribution-specific dashboard.pnl_view— P&L dashboard.
Available options:
view, attribution_view, pnl_view Response
List of view summaries.
Show child attributes
Show child attributes
Was this page helpful?
⌘I